/* ******************************** */
/*    Application Class ver.1.00    */
/*                      'appli.h'   */
/*                 by T.Nakayama    */
/* ********************************* */

#ifndef	_CLASS_APPLICATION_
#define _CLASS_APPLICATION_

#include <string>
using namespace std;

#include "macro.h"
#include "smfdata.h"
#include "mmldata.h"
#include "smf2mml.h"
#include "edtrans.h"

/* **************************************************** Constance Value **** */

#define APPLI_COMPLETE		0x0000
#define APPLI_NULLPOINTER	0x0100
#define APPLI_CMDPLAY		"PLAY"
#define APPLI_INITPLAY00	"CLEAR 300,&H5600\r\n"
#define APPLI_INITPLAY01	"LOADM \"HGAVDATA\"\r\n"
#define APPLI_INITPLAY02	"PLAY OFF\r\n"
#define APPLI_INITPLAY03	"FOR I=1 TO 12:PLAYDEF I,0:NEXT\r\n"
#define APPLI_INITPLAY04	"FOR I=1 TO 3:PLAYDEF I,I:PLAYDEF I+3,I+6:NEXT"\
							": ' HG\r\n"
#define APPLI_INITPLAY05	"PLAY \"?3/\",,,\"?3/\": ' HG\r\n"
#define APPLI_INITPLAY06	"' FOR I=1 TO 12:PLAYDEF I,I:NEXT: ' WHG\r\n"
#define APPLI_INITPLAY07	"' PLAY \"?3/\",,,,,,\"?3/\": ' WHG\r\n"
#define APPLI_INITPLAY08	"'\r\n"
#define APPLI_INITPLAY09	"'\r\n"
#define APPLI_INITPLAYLINE	10

/* ************************************************************** Class **** */

class Appli{
private:
	int		_iInitLine;
	string	_init[APPLI_INITPLAYLINE];

public:
						Appli();					// Constructor
	virtual				~Appli();					// Destructor

	virtual LPSmfData	ReadMidiData(LPBYTE, DWORD);
	virtual int			FreeMidiData(LPSmfData);
	virtual LPMmlData	CreateMmlData(void);
	virtual int			FreeMmlData(LPMmlData);
	virtual int			ConvertMidiToMml(LPSmfData, LPMmlData);
	virtual LPMmlData	ConvertMidiToMml(LPSmfData);
	virtual int			Normalize(LPMmlChannel, int);
	virtual int			Normalize(LPMmlData, int);
	virtual int			Normalize(LPMmlData);
	virtual int			Divide(LPMmlChannel, int);
	virtual int			Divide(LPMmlData, int);
	virtual int			ConvertLength(LPMmlChannel, int);
	virtual int			ConvertLength(LPMmlData, int);
	virtual int			ConvertLength(LPMmlData);
	virtual int			GetDivision(LPMmlData);
	virtual int			GetDivision(LPSmfData);
	virtual int			GetChannelCount(LPMmlData);
	virtual int			GetBarCount(LPMmlData, int);
	virtual int			GetBarCount(LPMmlChannel);
	virtual DWORD		GetStepTime(LPMmlChannel);
	virtual DWORD		GetStepTime(LPMmlData, int);
	virtual int			GetLengthCount(LPMmlChannel, int);
	virtual int			GetLengthCount(LPMmlData, int, int);
	virtual int			GetMaxLengthCount(LPMmlChannel);
	virtual int			GetMaxLengthCount(LPMmlData, int);
	virtual string		CreateSource(LPMmlData, LPEdTrans, int, int, int,
							LPTSTR pszPlay = NULL);
	virtual int			CreateSourceLine(
							LPMmlData, LPEdTrans, int, int, string&,
							UINT uFlag = EDTRANS_NONE, LPTSTR pszPlay = NULL);
	virtual string		CreateSourceInit(int, int);
	virtual string		SetInitPlay(int, LPTSTR);
	virtual string		GetInitPlay(int);
	virtual int			SetInitLine(int);
	virtual int			GetInitLine(void);
};
typedef Appli*	LPAppli;

#endif	// _CLASS_APPLICATION_
