/* ***************************************** */
/*    Application Resource Class ver.1.12    */
/*                              'appres.h'   */
/*                          by T.Nakayama    */
/* ***************************************** */

#ifndef	_CLASS_APPLICATION_RESOURCE_
#define _CLASS_APPLICATION_RESOURCE_

#include "macro.h"

/* **************************************************** Constance Value **** */

#define APPRES_COMPLETE			0x0000

/* ************************************************************** Class **** */

class AppRes{
private:
	HICON	_hIcon;				// Handle of Icon
	HICON	_hIconSm;			// Handle of Small Icon
	HCURSOR	_hCursor;			// Handle of Cursor
	HBRUSH	_hbrBackground;		// Handle of Background Brush
	LPSTR	_szMenu;			// Menu Name
	HACCEL	_hAccel;			// Handle of Keyboard Accelarator

public:
					AppRes();					// Constructor
	virtual			~AppRes();					// Destructor

	virtual HICON	SetIconRes(HINSTANCE, LPCTSTR);
												// Set Icon From Resource
	virtual HICON	SetIcon(HICON);				// Set Icon Handle
	virtual HICON	GetIcon(void);				// Get Icon Handle
	virtual BOOL	DestroyIcon(void);			// Destroy Icon

	virtual HICON	SetSmIconRes(HINSTANCE, LPCTSTR);
												// Set Small Icon From Res.
	virtual HICON	SetSmIcon(HICON);			// Set Small Icon Handle
	virtual HICON	GetSmIcon(void);			// Get Small Icon Handle
	virtual BOOL	DestroySmIcon(void);		// Destroy Small Icon

	virtual HCURSOR	SetCursorRes(HINSTANCE, LPCTSTR);
												// Set Cursor From Res.
	virtual HCURSOR	SetCursor(HCURSOR);			// Set Cursor Handle
	virtual HCURSOR	GetCursor(void);			// Set Cursor Handle
	virtual	BOOL	DestroyCursor(void);		// Destroy Cursor

	virtual HBRUSH	SetBrushRes(int);			// Set Cursor From Res.
	virtual HBRUSH	SetBrush(HBRUSH);			// Set Cursor Handle
	virtual HBRUSH	GetBrush(void);				// Set Cursor Handle

	virtual	int		SetMenuName(LPCTSTR);		// Set Menu Name
	virtual	LPCTSTR	GetMenuName(void);			// Get Menu Name
	virtual LPCTSTR	FreeMenuName(void);			// Free Menu Name

	virtual HACCEL	SetAcceleratorsRes(HINSTANCE, LPCTSTR);
												// Set Accelerators From Res.
	virtual HACCEL	SetAccelerators(HACCEL);	// Set Accelerators
	virtual HACCEL	GetAccelerators(void);		// Get Accelerators
};
typedef AppRes*		LPAppRes;

#endif	// _CLASS_APPLICATION_RESOURCE_
