/* ************************************* */
/*    Base Application Class ver.1.11    */
/*                         'baseapp.h'   */
/*                      by T.Nakayama    */
/* ************************************* */

#ifndef	_CLASS_BASE_APPLICATION_
#define _CLASS_BASE_APPLICATION_

#include "winsbase.h"
#include "baseproc.h"

/* ********************************************************** Structure **** */

typedef struct{
	HWND		hWnd;
	LPBaseProc	pProc1;
	LPBaseProc	pProc2;
	LPARAM		lParam;
} PROCPAIRS;
typedef PROCPAIRS*	LPPROCPAIRS;

/* **************************************************** Constance Value **** */

#define BASEAPPLI_COMPLETE			WINDOWSBASE_COMPLETE

/* ************************************************************** Class **** */

class BaseAppli : public WindowsBase{
private:

protected:
	int						_iWindowCount;
	int						_iProcTableCount;
	LPPROCPAIRS				*_pProcTable;

public:
							BaseAppli();				// Constructor
	virtual					~BaseAppli();				// Destructor

	virtual int				SetProcPairsTableCount(int);
	virtual int				GetProcPairsTableCount(void);
	virtual int				ClearProcPairsTableCount(void);

	virtual int				SetWindowCount(int);
	virtual int				GetWindowCount(void);
	virtual int				IncrementWindowCount(void);
	virtual int				DecrementWindowCount(void);

	virtual LPPROCPAIRS*	CreateProcPairsTable(int);
	virtual int				DestroyProcPairsTable(void);

	virtual int				RegisterProcPairs(LPPROCPAIRS);
	virtual int				AddProcPairs(LPPROCPAIRS);
	virtual LPPROCPAIRS		DeleteProcPairs(int);
	virtual int				DeleteAllProcPairs(void);
	virtual LPPROCPAIRS		RemoveProcPairs(int);
	virtual int				RemoveAllProcPairs(void);
	virtual LPPROCPAIRS		DestroyProcPairs(LPPROCPAIRS);
	virtual LPPROCPAIRS		SetProcPairs(int, LPPROCPAIRS);
	virtual LPPROCPAIRS		GetProcPairs(int);
	virtual LPBaseProc		GetProc1(int);
	virtual LPBaseProc		GetProc2(int);
	virtual HWND			GetWindowHandle(int);
	virtual int				FindProcPairs(LPPROCPAIRS);
	virtual int				FindProc1(LPBaseProc);
	virtual int				FindProc2(LPBaseProc);
	virtual int				FindWindowHandle(HWND);

	virtual int				SendMessageAllWindows(UINT, WPARAM, LPARAM);
};
typedef BaseAppli*	LPBaseAppli;

#endif	// _CLASS_BASE_APPLICATION_
