/* ******************************************************* */
/*    Base Application Registory Manager Class ver.1.01    */
/*                                         'basereg.cpp'   */
/*                                        by T.Nakayama    */
/* ******************************************************* */

#include "basereg.h"

/* ************************************************************************* */
/*    Constructor                                                            */
/* ************************************************************************* */

BaseReg :: BaseReg()
 :	_iItems(0), _lpszItem(NULL)
{
}

/* ************************************************************************* */
/*    Destructor                                                             */
/* ************************************************************************* */

BaseReg :: ~BaseReg()
{
	int	i;

	if(_lpszItem){
		for(i=0; i<_iItems; i++)
			_DELETEARRAY(_lpszItem[i]);
		_DELETEARRAY(_lpszItem);
	}
}

/* ************************************************************************* */
/*    Initialize                                                             */
/* ************************************************************************* */

int BaseReg :: Initialize(HINSTANCE hInst, int iItems, int iStartID)
{
	int		i;

	_iItems = iItems;
	_lpszItem = new LPSTR[_iItems];
	for(i=0; i<_iItems; i++){
		_lpszItem[i] = new TCHAR[STRING_BUFFER];
		LoadString(hInst, iStartID+i, _lpszItem[i], STRING_BUFFER);
	}
	SetAccessSubKey(HKEY_CURRENT_USER, _lpszItem[REG_SUBKEY]);

	return(REGISTORY_COMPLETE);
}

/* ************************************************************************* */
/*    Delete Registory                                                       */
/* ************************************************************************* */

LONG BaseReg :: DeleteRegistory(void)
{
	return(DeleteSubKey());
}

/* ************************************************************************* */
/*    Set Window Position                                                    */
/* ************************************************************************* */

int BaseReg :: SetWindowPosition(RECT *pRect)
{
	int		iWidth, iHeight;

	iWidth = pRect->right - pRect->left + 0;
	iHeight = pRect->bottom - pRect->top + 0;
	SetDword(_lpszItem[REG_WINDOW_X], (DWORD)pRect->left);
	SetDword(_lpszItem[REG_WINDOW_Y], (DWORD)pRect->top);
	SetDword(_lpszItem[REG_WINDOW_W], (DWORD)iWidth);
	SetDword(_lpszItem[REG_WINDOW_H], (DWORD)iHeight);

	return(REGISTORY_COMPLETE);
}

/* ************************************************************************* */
/*    Get Window Position                                                    */
/* ************************************************************************* */

int BaseReg :: GetWindowPosition(RECT *pRect)
{
	int		nWidth, nHeight;

	pRect->left =(int)GetDwordValue(_lpszItem[REG_WINDOW_X], REG_DEF_WINDOW_X);
	pRect->top  =(int)GetDwordValue(_lpszItem[REG_WINDOW_Y], REG_DEF_WINDOW_Y);
	nWidth  = (int)GetDwordValue(_lpszItem[REG_WINDOW_W], REG_DEF_WINDOW_W);
	nHeight = (int)GetDwordValue(_lpszItem[REG_WINDOW_H], REG_DEF_WINDOW_H);
	pRect->right = pRect->left + nWidth - 0;
	pRect->bottom = pRect->top + nHeight - 0;

	return(REGISTORY_COMPLETE);
}

