/* ****************************************** */
/*    Dialogbox Application Class ver.1.00    */
/*                             'dlgapp.cpp'   */
/*                           by T.Nakayama    */
/* ****************************************** */

#include "dlgapp.h"

/* ************************************************************************* */
/*    Constructor                                                            */
/* ************************************************************************* */

DlgAppli :: DlgAppli()
{
}

/* ************************************************************************* */
/*    Destructor                                                             */
/* ************************************************************************* */

DlgAppli :: ~DlgAppli()
{
}

/* ************************************************************************* */
/*    Create Dialogbox                                                       */
/* ************************************************************************* */

int DlgAppli :: CreateDialog_(
	HINSTANCE hInst, LPCTSTR pTemplate, HWND hWnd, LPARAM lParam, LPVOID pVoid)
{
	int					iResult;
	DLGPROC				fpDialog;
	LPEXTRAWINDOWINFO	pInfo;

	pInfo = new EXTRAWINDOWINFO;
	memset(pInfo, 0, sizeof(EXTRAWINDOWINFO));
	pInfo->pAppli = this;
	pInfo->pProc = CreateDlgProcedure();
	pInfo->lQuitMsg = FALSE;
	pInfo->pVoid = pVoid;
	pInfo->lParam = lParam;
	fpDialog=(DLGPROC)MakeProcInstance(DlgProcedure, hInst);
	iResult = DialogBoxParam(hInst, pTemplate, hWnd, fpDialog, (LPARAM)pInfo);
	FreeProcInstance(fpDialog);
	_DELETE(pInfo->pProc);
	_DELETE(pInfo);
	return(iResult);
}

/* ************************************************************************* */
/*    Create Dialog Procedure Class                                          */
/* ************************************************************************* */

inline LPDlgProc DlgAppli :: CreateDlgProcedure(void)
{
	return(new DlgProc);
}

/* ************************************************************************* */
/*    Dialogbox Procedure                                        (Static)    */
/* ************************************************************************* */

BOOL CALLBACK DlgAppli :: DlgProcedure(
	HWND hDlg, UINT uMsg, WPARAM wParam, LPARAM lParam)
{
	BOOL				bResult;
	LPDlgProc			pDlgProc;
	LPEXTRAWINDOWINFO	pInfo;

	switch(uMsg){
		case WM_INITDIALOG:
			SetWindowLong(hDlg, DWL_USER, lParam);

		default:
			pInfo = (LPEXTRAWINDOWINFO)GetWindowLong(hDlg, DWL_USER);
			if(pInfo){
				pDlgProc = (LPDlgProc)pInfo->pProc;
				if(pDlgProc){
					bResult = pDlgProc->DlgProcedure(hDlg, uMsg,wParam,lParam);
					if(uMsg == WM_DESTROY)
						SetWindowLong(hDlg, DWL_USER, (LONG)0L);
					return(bResult);
				}
			}
	}
	return(FALSE);
}

