/* ******************************************* */
/*    EDPLAY List Translator Class ver.1.00    */
/*                               'edtrans.h'   */
/*                            by T.Nakayama    */
/* ******************************************* */

#ifndef _CLASS_EDPLAY_TRANSLATOR_
#define _CLASS_EDPLAY_TRANSLATOR_

#include <string>
#include <list>
using namespace std;

#include "macro.h"
#include "mmldata.h"

/* **************************************************** Constance Value **** */

#define EDTRANS_COMPLETE			0x0000
#define MMLCHANNEL_NOUSE			-1

/* ********************************************************** Structure **** */

#define EDTRANS_NONE			0x0000
#define EDTRANS_ITEBEGIN		0x0001
#define EDTRANS_SETOCTAVE		0x0002
#define EDTRANS_SETLENGTH		0x0004
#define EDTRANS_SETVOLUME		0x0008
#define EDTRANS_INITMML			(EDTRANS_SETOCTAVE |\
								EDTRANS_SETLENGTH | EDTRANS_SETVOLUME)
#define EDTRANS_INIT			(EDTRANS_ITEBEGIN | EDTRANS_INITMML)

/* ************************************************************** Class **** */

class EdTrans{
private:
	int		_iChannel;
	int		_iOctave;
	int		_iLength;
	int		_iVolume;
	list < LPMmlEvent > :: iterator	_ite;

public:
					EdTrans();
	virtual			~EdTrans();

	virtual int		SetChannel(int);
	virtual int		GetChannel(void);
	virtual int		SetOctave(int);
	virtual int		GetOctave(void);
	virtual int		SetLength(int);
	virtual int		GetLength(void);
	virtual int		SetVolume(int);
	virtual int		GetVolume(void);
	virtual int		GetCodeText(LPTSTR, int);
	virtual int		GetLengthText(LPTSTR, int);
	virtual int		InitIterator(LPMmlChannel);
	virtual int		InitIterator(LPMmlData, int);
	virtual int		Translate(LPMmlChannel, string&, UINT uFlag=EDTRANS_NONE);
	virtual int		Translate(LPMmlData, int, string&,UINT uFlag=EDTRANS_NONE);
	virtual int		TranslateEvent(LPMmlEvent, string&);
};
typedef EdTrans*	LPEdTrans;

#endif	// _CLASS_EDPLAY_TRANSLATOR
