/* ***************************************** */
/*    < Template > Endian Class  ver.1.00    */
/*                              'endian.h'   */
/*                          by T.Nakayama    */
/* ***************************************** */

#ifndef _CLASS_TEMPLATE_ENDIAN_
#define _CLASS_TEMPLATE_ENDIAN_

#include "macro.h"

/* ************************************************************** Class **** */

template < class T>
class Endian{
private:
	T			_value;			// The Value Stored at LSB Always

public:
				Endian() : _value(0) {;}
	virtual		~Endian() {;};
	
	virtual T	SetMSB(T value) { return(_value = Convert(value)); }
	virtual T	SetLSB(T value) { return(_value = value); }
	virtual T	GetMSB(void) { return(Convert(_value)); }
	virtual T	GetLSB(void) { return(_value); }
	virtual T	Convert(T value);
};

template < class T>
T Endian < T > :: Convert(T value)
{
	int		i, iLength;
	T		result = 0;

	iLength = sizeof(T);
	for(i=0; i<iLength; i++){
		result <<= 8;
		result |= (value & 0xff);
		value >>= 8;
	}
	return(result);
}

#endif	// _CLASS_TEMPLATE_ENDIAN_
