/* ****************************** */
/*    List View Class ver.1.20    */
/*                 'listview.h'   */
/*               by T.Nakayama    */
/* ****************************** */

#ifndef	_CLASS_LIST_VIEW_
#define _CLASS_LIST_VIEW_

#include "basectrl.h"

/* **************************************************** Constance Value **** */

#ifndef CONTROLID_LISTVIEW
#define CONTROLID_LISTVIEW				211					// Control ID
#endif

#define LISTVIEW_COMPLETE				BASECONTROL_COMPLETE
#define LISTVIEW_NOT_CREATE_IMAGELIST	0x0001

/* ********************************************************** Structure **** */

typedef struct{
	WORD	cx;
	WORD	fmt;
	WORD	wTextID;
} RC_COLUMN;
typedef RC_COLUMN*	LPRC_COLUMN;

/* ************************************************************** Class **** */

class ListView : public BaseControl{
private:

protected:

public:
						ListView();						// Constructor
	virtual				~ListView();					// Destructor

	virtual HWND		CreateWindow_(void);
	virtual int			CreateImageList(int, int, int, int, int);

	virtual int			GetItemCount(void);
	virtual int			InsertItem(LV_ITEM*);
	virtual int			SetItem(LV_ITEM*);
	virtual int			GetItem(LV_ITEM*);
	virtual int			DeleteItem(int);
	virtual int			DeleteAllItems(void);
	virtual int			SetFocusedItem(int);
	virtual int			GetFocusedItem(void);
	virtual LPARAM		GetFocusedItemParam(void);
	virtual int			GetSelectedCount(void);
	virtual int			GetNextItem(int, UINT);
	virtual int			SetParam(int, LPARAM);
	virtual LPARAM		GetParam(int);
	virtual int			FindItem(LV_FINDINFO*);
	virtual int			FindItemParam(LPARAM);
	virtual int			ClearState(int);
	virtual int			ClearItem(int, int);

	virtual int			LoadColumn(LPCTSTR);
	virtual int			InsertColumn(int, LV_COLUMN*);
	virtual BOOL		SetColumn(int, LV_COLUMN*);
	virtual BOOL		GetColumn(int, LV_COLUMN*);
	virtual int			GetNumColumns(void);
	virtual BOOL		IsColumnExists(int);
	virtual BOOL		EnsureVisible(int, BOOL);
	virtual int			HitTest(LV_HITTESTINFO*);
};
typedef ListView*	LPListView;

#endif	// _CLASS_LIST_VIEW_
