/* ********************************* */
/*    MID2ED Application ver.1.00    */
/*                    'mid2ed.cpp'   */
/*                  by T.Nakayama    */
/* ********************************* */

#include "mid2ed.h"

/* ************************************************************************* */
/*    Windows Main Function                                                  */
/* ************************************************************************* */

int WINAPI WinMain(
	HINSTANCE hInstance,
	HINSTANCE hPrevInstance,
	LPSTR lpCmdLine,
	int iCmdShow)
{
	MSG				msg;
	LPAppli			pAppli = NULL;
	LPMidi2EdAppli	pWinAppli;
	LPKeyAccel		pKeyAccel;

#ifdef APPLI_USE_REGISTORY
	// ++++++++ Create Application Registory Manager Class
	AppReg		*pAppReg;
	pAppReg = new AppReg;
	pAppReg->Initialize(hInstance, REGISTORY_ITEM, IDS_REG_SUBKEY);
#endif // APPLI_USE_REGISTORY

	// ++++++++ Create Application Class
//	pAppli = new Appli;

	// ++++++++ Create Keyboard Accelerator Class
	pKeyAccel = new KeyAccel;

	// ++++++++ Create Instance & Initialize
	pWinAppli = new Midi2EdAppli;
//	pWinAppli->SetAppliClass(pAppli);
#ifdef APPLI_USE_REGISTORY
	pWinAppli->SetAppRegClass(pAppReg);
#endif // APPLI_USE_REGISTORY
	if(pWinAppli->Initialize(hInstance, pKeyAccel)){
		_DELETE(pWinAppli);
		return(FALSE);
	}
	pWinAppli->CreateWindow_(iCmdShow);

	// ++++++++ Message Loop
	msg = pWinAppli->MessageLoop();

	// ++++++++ Delete Class Instance
	_DELETE(pWinAppli);
	_DELETE(pKeyAccel);
//	_DELETE(pAppli);
#ifdef APPLI_USE_REGISTORY
	_DELETE(pAppReg);
#endif // APPLI_USE_REGISTORY

	return(msg.wParam);
}

