# ************************************************* 
#   MIDI to EDPLAY Application Make File ver.1.00   
#                for Microsoft Visual C++ ver.6.0   
# ************************************************* 

# ******** Define Project Name ********

PRJ=MID2ED

# ******** Define NULL Depended OS ********

!IF "$(OS)" == "Windows_NT"
NULL=
!ELSE
NULL=nul
!ENDIF

# ******** Define Derectory ********

!IF "$(CFG)" == "Win32 Debug"

!MESSAGE Bulding $(PRJ).EXE With Debug Mode.
OUTDIR=DEBUG
INTDIR=DEBUG

!ELSE

!MESSAGE Bulding $(PRJ).Exe With Release Mode.
OUTDIR=RELEASE
INTDIR=RELEASE

!ENDIF

# ******** Define Quasi Target Files ********

!IF "$(CFG)" == "Win32 Debug"

ALL	: "$(OUTDIR)\$(PRJ).exe" "$(OUTDIR)\$(PRJ).bsc"

!ELSE

ALL	: "$(OUTDIR)\$(PRJ).exe"

!ENDIF

# ******** Clear Object Files ********

!MESSAGE Erasing Object and infomation files.

CLEAN:
	-@erase "$(INTDIR)\vc60.idb"
	-@erase "$(OUTDIR)\$(PRJ).exe"
	-@erase "$(INTDIR)\$(PRJ).res"
	-@erase "$(INTDIR)\$(PRJ).obj"

# if you need erase some object files,
# you have to discribe some commands to erase here.
#  ex) -@erase "$(INTDIR)\exsample.obj"

!IF "$(CFG)" == "Win32 Debug"

	-@erase "$(INTDIR)\$vc60.pdb"
	-@erase "$(OUTDIR)\$(PRJ).ilk"
	-@erase "$(OUTDIR)\$(PRJ).bsc"
	-@erase "$(OUTDIR)\$(PRJ).pdb"
	-@erase "$(INTDIR)\$(PRJ).sbr"

# if you need erase some browse infomation files,
# you have to discribe some commands to erase here.
#  ex) -@erase "$(INTDIR)\exsample.sbr"

!ENDIF

# ******** Define Options for a compiler and a linker ********

!MESSAGE Define compiler and linker options.

# ----- Compiler and Linker

CC     =CL
CPP    =CL
RC     =RC
LINK   =LINK
BSC    =BSCMAKE
IMPLIB =LIB
HC     =HCRTF -xn

# ----- Common options

CFLAGS   =/c /nologo /W3 /GB /GX /D "WIN32" /D "_WINDOWS"\
 /Fo"$(INTDIR)\\" /Fp"$(INTDIR)\$(PRJ).PCH" /YX
LFLAGS   =/nologo /subsystem:windows /machine:I386 /out:"$(OUTDIR)\$(PRJ).EXE"
RCFLAGS  =/l 0x411 /fo"$(INTDIR)\$(PRJ).res" /d "WIN32" /d "_WIN32"
BSCFLAGS =/nologo /o"$(OUTDIR)\$(PRJ).BSC"

BASELIBS =kernel32.lib advapi32.lib
WINLIBS  =$(BASELIBS) user32.lib gdi32.lib comdlg32.lib comctl32.lib winspool.lib shell32.lib version.lib
GUILIBS  =$(WINLIBS)
# if you need, you may add some libraries discribed below.
#  shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib
# if you use multi media funcitons, you need add a winmm.lib.
# if you use screensaver funcitons, you need add a scrnsave.lib.

# ----- Options depended building mode

!IF "$(CFG)" == "Win32 Debug"

CVARS    =/MLd /Gm /Od /FD /Zi /D "_DEBUG" /FR"$(INTDIR)\\" /Fd"$(INTDIR)\\"
LVARS    =/incremental:yes /debug /pdb:"$(OUTDIR)\$(PRJ).PDB" /pdbtype:sept
RCVARS   =/d "_DEBUG"

!ELSE

CVARS    =/ML /O2 /D "NDEBUG"
LVARS    =/incremental:no /RELEASE
RCVARS   =/d "NDEBUG"

!ENDIF

# ******** Define Inferential Rules ********

# ------ Directory

"$(OUTDIR)"	:
	if not exist "$(OUTDIR)/$(NULL)" mkdir "$(OUTDIR)"

# ------ From C and C++ Source Files To Object Files

.c{$(OUTDIR)}.obj::
	$(CC) @<<
	$(CFLAGS) $(CVARS) $<
<<

.cpp{$(OUTDIR)}.obj::
	$(CPP) @<<
	$(CFLAGS) $(CVARS) $<
<<

# ----- From C and C++ Source Files To Source Browser Files

.c{$(OUTDIR)}.sbr::
	$(CC) @<<
	$(CFLAGS) $(CVARS) $<
<<

.cpp{$(OUTDIR)}.sbr::
	$(CPP) @<<
	$(CFLAGS) $(CVARS) $<
<<

# ******** Compile And Link ********

!MESSAGE Compile Sources and Link objects.

# ----- Make Browser Infomation File

SBRS =\
	"$(INTDIR)\$(PRJ).sbr"\
	"$(INTDIR)\appli.sbr"\
	"$(INTDIR)\keyaccel.sbr"\
	"$(INTDIR)\winsbase.sbr"\
	"$(INTDIR)\baseapp.sbr"\
	"$(INTDIR)\baseproc.sbr"\
	"$(INTDIR)\winapp.sbr"\
	"$(INTDIR)\winproc.sbr"\
	"$(INTDIR)\dlgapp.sbr"\
	"$(INTDIR)\dlgproc.sbr"\
	"$(INTDIR)\wdlgapp.sbr"\
	"$(INTDIR)\wdlgproc.sbr"\
	"$(INTDIR)\cmdline.sbr"\
	"$(INTDIR)\appres.sbr"\
	"$(INTDIR)\regist.sbr"\
	"$(INTDIR)\basereg.sbr"\
	"$(INTDIR)\appreg.sbr"\
	"$(INTDIR)\aboutapp.sbr"\
	"$(INTDIR)\aboutprc.sbr"\
	"$(INTDIR)\m2eapp.sbr"\
	"$(INTDIR)\m2eproc.sbr"\
	"$(INTDIR)\fileio.sbr"\
	"$(INTDIR)\smfdata.sbr"\
	"$(INTDIR)\varlen.sbr"\
	"$(INTDIR)\smfblock.sbr"\
	"$(INTDIR)\smfhead.sbr"\
	"$(INTDIR)\smftrack.sbr"\
	"$(INTDIR)\smfevent.sbr"\
	"$(INTDIR)\smf2mml.sbr"\
	"$(INTDIR)\mmldata.sbr"\
	"$(INTDIR)\mmlch.sbr"\
	"$(INTDIR)\mmlevent.sbr"\
	"$(INTDIR)\edtrans.sbr"\
	"$(INTDIR)\basectrl.sbr"\
	"$(INTDIR)\listview.sbr"\
	"$(INTDIR)\glblib.sbr"

# if you need more browse files,
# you have to discribe some browse files here.
#  ex) "$(INTDIR)\exsample.sbr"

!IF "$(CFG)" == "Win32 Debug"

"$(OUTDIR)\$(PRJ).bsc"  : "$(OUTDIR)" $(SBRS)
	$(BSC) @<<
	$(BSCFLAGS) $(SBRS)
<<

!ENDIF

# ----- Link

RSCS ="$(INTDIR)\$(PRJ).res"
OBJS =\
	"$(INTDIR)\$(PRJ).obj"\
	"$(INTDIR)\appli.obj"\
	"$(INTDIR)\keyaccel.obj"\
	"$(INTDIR)\winsbase.obj"\
	"$(INTDIR)\baseapp.obj"\
	"$(INTDIR)\baseproc.obj"\
	"$(INTDIR)\winapp.obj"\
	"$(INTDIR)\winproc.obj"\
	"$(INTDIR)\dlgapp.obj"\
	"$(INTDIR)\dlgproc.obj"\
	"$(INTDIR)\wdlgapp.obj"\
	"$(INTDIR)\wdlgproc.obj"\
	"$(INTDIR)\cmdline.obj"\
	"$(INTDIR)\appres.obj"\
	"$(INTDIR)\regist.obj"\
	"$(INTDIR)\basereg.obj"\
	"$(INTDIR)\appreg.obj"\
	"$(INTDIR)\aboutapp.obj"\
	"$(INTDIR)\aboutprc.obj"\
	"$(INTDIR)\m2eapp.obj"\
	"$(INTDIR)\m2eproc.obj"\
	"$(INTDIR)\fileio.obj"\
	"$(INTDIR)\smfdata.obj"\
	"$(INTDIR)\varlen.obj"\
	"$(INTDIR)\smfblock.obj"\
	"$(INTDIR)\smfhead.obj"\
	"$(INTDIR)\smftrack.obj"\
	"$(INTDIR)\smfevent.obj"\
	"$(INTDIR)\smf2mml.obj"\
	"$(INTDIR)\mmldata.obj"\
	"$(INTDIR)\mmlch.obj"\
	"$(INTDIR)\mmlevent.obj"\
	"$(INTDIR)\edtrans.obj"\
	"$(INTDIR)\basectrl.obj"\
	"$(INTDIR)\listview.obj"\
	"$(INTDIR)\glblib.obj"

# if you need more object files,
# you have to discribe some object files here.
#  ex) "$(INTDIR)\exsample.obj"

"$(OUTDIR)\$(PRJ).exe" : "$(OUTDIR)" $(RSCS) $(OBJS)
	$(LINK) @<<
	$(LFLAGS) $(LVARS) $(GUILIBS) $(RSCS) $(OBJS)
<<

# ----- Resource Compile

SOURCE ="$(PRJ).rc"
HEADER =\
	"$(PRJ).h"\
	"resource.h"

"$(INTDIR)\$(PRJ).res" : "$(INTDIR)" $(HEADER) $(SOURCE)
	$(RC) $(RCFLAGS) $(RCVARS) $(SOURCE)

# ----- Compile

# if you need more header files, you have to discribe some header files here.
#  ex) ".\exsample.obj"

# ----- $(PRJ).cpp

!IF "$(CFG)" == "Win32 Debug"

"$(INTDIR)\$(PRJ).obj" "$(INTDIR)\$(PRJ).sbr" : "$(INTDIR)" $(PRJ).cpp $(PRJ).h appli.h winapp.h keyaccel.h macro.h

!ELSE

"$(INTDIR)\$(PRJ).obj" : "$(INTDIR)" $(PRJ).cpp $(PRJ).h appli.h winapp.h keyaccel.h macro.h

!ENDIF

# ----- appli.cpp

!IF "$(CFG)" == "Win32 Debug"

"$(INTDIR)\appli.obj" "$(INTDIR)\appli.sbr" : "$(INTDIR)"\
	appli.cpp appli.h macro.h smfdata.h mmldata.h smf2mml.h edtrans.h

!ELSE

"$(INTDIR)\appli.obj" : "$(INTDIR)"\
	appli.cpp appli.h macro.h smfdata.h mmldata.h smf2mml.h edtrans.h

!ENDIF

# ----- keyaccel.cpp

!IF "$(CFG)" == "Win32 Debug"

"$(INTDIR)\keyaccel.obj" "$(INTDIR)\keyaccel.sbr" : "$(INTDIR)" keyaccel.cpp keyaccel.h

!ELSE

"$(INTDIR)\keyaccel.obj" : "$(INTDIR)" keyaccel.cpp keyaccel.h

!ENDIF

# ----- winsbase.cpp

!IF "$(CFG)" == "Win32 Debug"

"$(INTDIR)\winsbase.obj" "$(INTDIR)\winsbase.sbr" : "$(INTDIR)" winsbase.cpp winsbase.h macro.h

!ELSE

"$(INTDIR)\winsbase.obj" : "$(INTDIR)" winsbase.cpp winsbase.h macro.h

!ENDIF

# ----- baseapp.cpp

!IF "$(CFG)" == "Win32 Debug"

"$(INTDIR)\baseapp.obj" "$(INTDIR)\baseapp.sbr" : "$(INTDIR)" baseapp.cpp baseapp.h winsbase.h baseproc.h macro.h

!ELSE

"$(INTDIR)\baseapp.obj" : "$(INTDIR)" baseapp.cpp baseapp.h winsbase.h baseproc.h macro.h

!ENDIF

# ----- baseproc.cpp

!IF "$(CFG)" == "Win32 Debug"

"$(INTDIR)\baseproc.obj" "$(INTDIR)\baseproc.sbr" : "$(INTDIR)" baseproc.cpp baseproc.h winsbase.h macro.h

!ELSE

"$(INTDIR)\baseproc.obj" : "$(INTDIR)" baseproc.cpp baseproc.h winsbase.h macro.h

!ENDIF

# ----- winapp.cpp

!IF "$(CFG)" == "Win32 Debug"

"$(INTDIR)\winapp.obj" "$(INTDIR)\winapp.sbr" : "$(INTDIR)" winapp.cpp winapp.h baseapp.h baseproc.h winproc.h winsbase.h appres.h keyaccel.h appli.h appreg.h cmdline.h resource.h macro.h

!ELSE

"$(INTDIR)\winapp.obj" : "$(INTDIR)" winapp.cpp winapp.h baseapp.h baseproc.h winproc.h winsbase.h appres.h keyaccel.h appli.h appreg.h cmdline.h resource.h macro.h

!ENDIF

# ----- winproc.cpp

!IF "$(CFG)" == "Win32 Debug"

"$(INTDIR)\winproc.obj" "$(INTDIR)\winproc.sbr" : "$(INTDIR)" winproc.cpp winproc.h baseproc.h winsbase.h appres.h keyaccel.h appli.h appreg.h aboutapp.h resource.h macro.h

!ELSE

"$(INTDIR)\winproc.obj" : "$(INTDIR)" winproc.cpp winproc.h baseproc.h winsbase.h appres.h keyaccel.h appli.h appreg.h aboutapp.h resource.h macro.h

!ENDIF

# ----- dlgapp.cpp

!IF "$(CFG)" == "Win32 Debug"

"$(INTDIR)\dlgapp.obj" "$(INTDIR)\dlgapp.sbr" : "$(INTDIR)" dlgapp.cpp dlgapp.h baseapp.h baseproc.h dlgproc.h winsbase.h macro.h

!ELSE

"$(INTDIR)\dlgapp.obj" : "$(INTDIR)" dlgapp.cpp dlgapp.h baseapp.h baseproc.h dlgproc.h winsbase.h macro.h

!ENDIF

# ----- dlgproc.cpp

!IF "$(CFG)" == "Win32 Debug"

"$(INTDIR)\dlgproc.obj" "$(INTDIR)\dlgproc.sbr" : "$(INTDIR)" dlgproc.cpp dlgproc.h baseproc.h winsbase.h macro.h

!ELSE

"$(INTDIR)\dlgproc.obj" : "$(INTDIR)" dlgproc.cpp dlgproc.h baseproc.h winsbase.h macro.h

!ENDIF

# ----- wdlgapp.cpp

!IF "$(CFG)" == "Win32 Debug"

"$(INTDIR)\wdlgapp.obj" "$(INTDIR)\wdlgapp.sbr" : "$(INTDIR)"\
	wdlgapp.cpp wdlgapp.h baseapp.h baseproc.h winapp.h wdlgproc.h winsbase.h\
	macro.h

!ELSE

"$(INTDIR)\wdlgapp.obj" : "$(INTDIR)"\
	wdlgapp.cpp wdlgapp.h baseapp.h baseproc.h winapp.h wdlgproc.h winsbase.h\
	macro.h

!ENDIF

# ----- wdlgproc.cpp

!IF "$(CFG)" == "Win32 Debug"

"$(INTDIR)\wdlgproc.obj" "$(INTDIR)\wdlgproc.sbr" : "$(INTDIR)"\
	wdlgproc.cpp wdlgproc.h baseproc.h winproc.h winsbase.h macro.h

!ELSE

"$(INTDIR)\wdlgproc.obj" : "$(INTDIR)"\
	wdlgproc.cpp wdlgproc.h baseproc.h winproc.h winsbase.h macro.h

!ENDIF

# ----- cmdline.cpp

!IF "$(CFG)" == "Win32 Debug"

"$(INTDIR)\cmdline.obj" "$(INTDIR)\cmdline.sbr" : "$(INTDIR)" cmdline.cpp cmdline.h macro.h

!ELSE

"$(INTDIR)\cmdline.obj" : "$(INTDIR)" cmdline.cpp cmdline.h macro.h

!ENDIF

# ----- appres.cpp

!IF "$(CFG)" == "Win32 Debug"

"$(INTDIR)\appres.obj" "$(INTDIR)\appres.sbr" : "$(INTDIR)" appres.cpp appres.h macro.h

!ELSE

"$(INTDIR)\appres.obj" : "$(INTDIR)" appres.cpp appres.h macro.h

!ENDIF

# ----- regist.cpp

!IF "$(CFG)" == "Win32 Debug"

"$(INTDIR)\regist.obj" "$(INTDIR)\regist.sbr" : "$(INTDIR)" regist.cpp regist.h

!ELSE

"$(INTDIR)\regist.obj" : "$(INTDIR)" regist.cpp regist.h

!ENDIF

# ----- basereg.cpp

!IF "$(CFG)" == "Win32 Debug"

"$(INTDIR)\basereg.obj" "$(INTDIR)\basereg.sbr" : "$(INTDIR)" basereg.cpp basereg.h regist.h macro.h

!ELSE

"$(INTDIR)\basereg.obj" : "$(INTDIR)" basereg.cpp basereg.h regist.h macro.h

!ENDIF

# ----- appreg.cpp

!IF "$(CFG)" == "Win32 Debug"

"$(INTDIR)\appreg.obj" "$(INTDIR)\appreg.sbr" : "$(INTDIR)" appreg.cpp appreg.h basereg.h regist.h macro.h

!ELSE

"$(INTDIR)\appreg.obj" : "$(INTDIR)" appreg.cpp appreg.h basereg.h regist.h macro.h

!ENDIF

# ----- aboutapp.cpp

!IF "$(CFG)" == "Win32 Debug"

"$(INTDIR)\aboutapp.obj" "$(INTDIR)\aboutapp.sbr" : "$(INTDIR)" aboutapp.cpp aboutapp.h dlgapp.h winsbase.h aboutprc.h dlgproc.h resource.h macro.h

!ELSE

"$(INTDIR)\aboutapp.obj" : "$(INTDIR)" aboutapp.cpp aboutapp.h dlgapp.h winsbase.h aboutprc.h dlgproc.h resource.h macro.h

!ENDIF

# ----- aboutprc.cpp

!IF "$(CFG)" == "Win32 Debug"

"$(INTDIR)\aboutprc.obj" "$(INTDIR)\aboutprc.sbr" : "$(INTDIR)" aboutprc.cpp aboutprc.h dlgproc.h winsbase.h resource.h macro.h

!ELSE

"$(INTDIR)\aboutprc.obj" : "$(INTDIR)" aboutprc.cpp aboutprc.h dlgproc.h winsbase.h resource.h macro.h

!ENDIF

# ----- m2eapp.cpp

!IF "$(CFG)" == "Win32 Debug"

"$(INTDIR)\m2eapp.obj" "$(INTDIR)\m2eapp.sbr" : "$(INTDIR)"\
	m2eapp.cpp m2eapp.h m2eproc.h winapp.h winproc.h appres.h keyaccel.h\
	resource.h macro.h

!ELSE

"$(INTDIR)\m2eapp.obj" : "$(INTDIR)"\
	m2eapp.cpp m2eapp.h m2eproc.h winapp.h winproc.h appres.h keyaccel.h\
	resource.h macro.h

!ENDIF

# ----- m2eproc.cpp

!IF "$(CFG)" == "Win32 Debug"

"$(INTDIR)\m2eproc.obj" "$(INTDIR)\m2eproc.sbr" : "$(INTDIR)"\
	m2eproc.cpp m2eproc.h wdlgproc.h winproc.h appres.h keyaccel.h\
	resource.h macro.h

!ELSE

"$(INTDIR)\m2eproc.obj" : "$(INTDIR)"\
	m2eproc.cpp m2eproc.h wdlgproc.h winproc.h appres.h keyaccel.h\
	resource.h macro.h

!ENDIF

# ----- fileio.cpp

!IF "$(CFG)" == "Win32 Debug"

"$(INTDIR)\fileio.obj" "$(INTDIR)\fileio.sbr" : "$(INTDIR)"\
	fileio.cpp fileio.h macro.h

!ELSE

"$(INTDIR)\fileio.obj" : "$(INTDIR)"\
	fileio.cpp fileio.h macro.h

!ENDIF

# ----- smfdata.cpp

!IF "$(CFG)" == "Win32 Debug"

"$(INTDIR)\smfdata.obj" "$(INTDIR)\smfdata.sbr" : "$(INTDIR)"\
	smfdata.cpp smfdata.h smfhead.h smftrack.h macro.h

!ELSE

"$(INTDIR)\smfdata.obj" : "$(INTDIR)"\
	smfdata.cpp smfdata.h smfhead.h smftrack.h macro.h

!ENDIF

# ----- varlen.cpp

!IF "$(CFG)" == "Win32 Debug"

"$(INTDIR)\varlen.obj" "$(INTDIR)\varlen.sbr" : "$(INTDIR)"\
	varlen.cpp varlen.h macro.h

!ELSE

"$(INTDIR)\varlen.obj" : "$(INTDIR)"\
	varlen.cpp varlen.h macro.h

!ENDIF

# ----- smfblock.cpp

!IF "$(CFG)" == "Win32 Debug"

"$(INTDIR)\smfblock.obj" "$(INTDIR)\smfblock.sbr" : "$(INTDIR)"\
	smfblock.cpp smfblock.h endian.h macro.h

!ELSE

"$(INTDIR)\smfblock.obj" : "$(INTDIR)"\
	smfblock.cpp smfblock.h endian.h macro.h

!ENDIF

# ----- smfhead.cpp

!IF "$(CFG)" == "Win32 Debug"

"$(INTDIR)\smfhead.obj" "$(INTDIR)\smfhead.sbr" : "$(INTDIR)"\
	smfhead.cpp smfhead.h smfblock.h smfblock.cpp endian.h macro.h

!ELSE

"$(INTDIR)\smfhead.obj" : "$(INTDIR)"\
	smfhead.cpp smfhead.h smfblock.h smfblock.cpp endian.h macro.h

!ENDIF

# ----- smftrack.cpp

!IF "$(CFG)" == "Win32 Debug"

"$(INTDIR)\smftrack.obj" "$(INTDIR)\smftrack.sbr" : "$(INTDIR)"\
	smftrack.cpp smftrack.h smfblock.h smfevent.h macro.h

!ELSE

"$(INTDIR)\smftrack.obj" : "$(INTDIR)"\
	smftrack.cpp smftrack.h smfblock.h smfevent.h macro.h

!ENDIF

# ----- smfevent.cpp

!IF "$(CFG)" == "Win32 Debug"

"$(INTDIR)\smfevent.obj" "$(INTDIR)\smfevent.sbr" : "$(INTDIR)"\
	smfevent.cpp smfevent.h varlen.h macro.h

!ELSE

"$(INTDIR)\smfevent.obj" : "$(INTDIR)"\
	smfevent.cpp smfevent.h varlen.h macro.h

!ENDIF

# ----- smf2mml.cpp

!IF "$(CFG)" == "Win32 Debug"

"$(INTDIR)\smf2mml.obj" "$(INTDIR)\smf2mml.sbr" : "$(INTDIR)"\
	smf2mml.cpp smf2mml.h smfdata.h smftrack.h smfevent.h macro.h

!ELSE

"$(INTDIR)\smf2mml.obj" : "$(INTDIR)"\
	smf2mml.cpp smf2mml.h smfdata.h smftrack.h smfevent.h macro.h

!ENDIF

# ----- mmldata.cpp

!IF "$(CFG)" == "Win32 Debug"

"$(INTDIR)\mmldata.obj" "$(INTDIR)\mmldata.sbr" : "$(INTDIR)"\
	mmldata.cpp mmldata.h mmlch.h mmlevent.h macro.h

!ELSE

"$(INTDIR)\mmldata.obj" : "$(INTDIR)"\
	mmldata.cpp mmldata.h mmlch.h mmlevent.h macro.h

!ENDIF

# ----- mmlch.cpp

!IF "$(CFG)" == "Win32 Debug"

"$(INTDIR)\mmlch.obj" "$(INTDIR)\mmlch.sbr" : "$(INTDIR)"\
	mmlch.cpp mmlch.h mmlevent.h macro.h

!ELSE

"$(INTDIR)\mmlch.obj" : "$(INTDIR)"\
	mmlch.cpp mmlch.h mmlevent.h macro.h

!ENDIF

# ----- mmlevent.cpp

!IF "$(CFG)" == "Win32 Debug"

"$(INTDIR)\mmlevent.obj" "$(INTDIR)\mmlevent.sbr" : "$(INTDIR)"\
	mmlevent.cpp mmlevent.h macro.h

!ELSE

"$(INTDIR)\mmlevent.obj" : "$(INTDIR)"\
	mmlevent.cpp mmlevent.h macro.h

!ENDIF

# ----- edtrans.cpp

!IF "$(CFG)" == "Win32 Debug"

"$(INTDIR)\edtrans.obj" "$(INTDIR)\edtrans.sbr" : "$(INTDIR)"\
	edtrans.cpp edtrans.h mmldata.h smfdata.h macro.h

!ELSE

"$(INTDIR)\edtrans.obj" : "$(INTDIR)"\
	edtrans.cpp edtrans.h mmldata.h smfdata.h macro.h

!ENDIF

# ----- basectrl.cpp

!IF "$(CFG)" == "Win32 Debug"

"$(INTDIR)\basectrl.obj" "$(INTDIR)\basectrl.sbr" : "$(INTDIR)"\
	basectrl.cpp basectrl.h winsbase.h macro.h

!ELSE

"$(INTDIR)\basectrl.obj" : "$(INTDIR)"\
	basectrl.cpp basectrl.h winsbase.h macro.h

!ENDIF

# ----- listview.cpp

!IF "$(CFG)" == "Win32 Debug"

"$(INTDIR)\listview.obj" "$(INTDIR)\listview.sbr" : "$(INTDIR)"\
	listview.cpp listview.h basectrl.h winsbase.h macro.h

!ELSE

"$(INTDIR)\listview.obj" : "$(INTDIR)"\
	listview.cpp listview.h basectrl.h winsbase.h macro.h

!ENDIF

# ----- glblib.c

!IF "$(CFG)" == "Win32 Debug"

"$(INTDIR)\glblib.obj" "$(INTDIR)\glblib.sbr" : "$(INTDIR)"\
	glblib.c glblib.h macro.h

!ELSE

"$(INTDIR)\glblib.obj" : "$(INTDIR)"\
	glblib.c glblib.h macro.h

!ENDIF

