/* ************************************************ */
/*    Music Macro Laguage Channel Class ver.1.00    */
/*                                      'mmlch.h'   */
/*                                 by T.Nakayama    */
/* ************************************************ */

#ifndef _CLASS_MML_CHANNEL_
#define _CLASS_MML_CHANNEL_

#include <list>
using namespace std;

#include "macro.h"
#include "mmlevent.h"

/* **************************************************** Constance Value **** */

#define MMLCHANNEL_COMPLETE				0x0000

/* ********************************************************** Structure **** */

typedef struct{
	int		iSmfTrack;
	int		iSmfChannel;
	int		iMmlChannel;
} MMLCHANNELINFO;
typedef MMLCHANNELINFO*	LPMMLCHANNELINFO;

/* ************************************************************** Class **** */

class MmlChannel{
private:
	int						_iSmfTrack;
	int						_iSmfChannel;
	int						_iMmlChannel;
	list < LPMmlEvent >		_pMmlEvent;
	int						_iBarCount;

public:
							MmlChannel();
	virtual					~MmlChannel();

	virtual int				SetInfo(LPMMLCHANNELINFO);
	virtual int				GetInfo(LPMMLCHANNELINFO);
	virtual int				SetSmfTrack(int);
	virtual int				GetSmfTrack(void);
	virtual int				SetSmfChannel(int);
	virtual int				GetSmfChannel(void);
	virtual int				SetMmlChannel(int);
	virtual int				GetMmlChannel(void);

	virtual int				GetEventCount(void);
	virtual int				GetBarCount(void);
	virtual DWORD			GetStepTime(void);
	virtual int				GetLengthCount(int);
	virtual int				GetMaxLengthCount(void);
	virtual list < LPMmlEvent > :: iterator	GetBegin(void);
	virtual list < LPMmlEvent > :: iterator	GetEnd(void);
	virtual list < LPMmlEvent > :: iterator	Insert(
							list < LPMmlEvent > :: iterator, LPMmlEvent);
	virtual list < LPMmlEvent > :: iterator	Add(LPMmlEvent);
	virtual list < LPMmlEvent > :: iterator	Delete(
							list < LPMmlEvent > :: iterator);
	virtual int				DeleteAllEvents(void);

	virtual int				Normalize(int);
	virtual int				Divide(int);
	virtual int				ConvertLength(int);

#ifdef _DEBUG
	virtual int				CheckEvent(void);
#endif // _DEBUG

};
typedef MmlChannel*		LPMmlChannel;

#endif	// _CLASS_MML_CHANNEL_
