/* ********************************************** */
/*    Music Macro Language Data Class ver.1.00    */
/*                                   mmldata.h'   */
/*                               by T.Nakayama    */
/* ********************************************** */

#ifndef _CLASS_MML_DATA_
#define _CLASS_MML_DATA_

#include <vector>
using namespace std;

#include "macro.h"
#include "mmlch.h"

/* **************************************************** Constance Value **** */

#define MMLDATA_COMPLETE			0x0000

/* ************************************************************** Class **** */

class MmlData{
private:
	int						_iChannelCount;
	int						_iDivision;
	vector < LPMmlChannel >	_pMmlChannel;

public:
							MmlData();
	virtual					~MmlData();

	virtual int				AllocateChannel(int);
	virtual LPMmlChannel	GetMmlChannel(int);
	virtual int				SetChannelCount(int);
	virtual int				GetChannelCount(void);
	virtual int				SetDivision(int);
	virtual int				GetDivision(void);
	virtual int				GetBarCount(int);
	virtual DWORD			GetStepTime(int);
	virtual int				GetLengthCount(int, int);
	virtual int				GetMaxLengthCount(int);
	virtual int				Normalize(int, int);
};
typedef MmlData*	LPMmlData;

#endif	// _CLASS_MML_DATA_
