/* *********************************************** */
/*    Music Macro Language Event Class ver.1.00    */
/*                                'mmlevent.cpp'   */
/*                                by T.Nakayama    */
/* *********************************************** */

#include "mmlevent.h"

/* ************************************************************************* */
/*    Constructor                                                            */
/* ************************************************************************* */

MmlEvent :: MmlEvent()
 :	_uCode(MMLCODE_REST), _dwDeltaTime(0), _uVelocity(0),
 	_iLength(MMLLEN_NONE), _dwParam(0)
{
}

/* ************************************************************************* */
/*    Destructor                                                             */
/* ************************************************************************* */

MmlEvent :: ~MmlEvent()
{
//	_DELETEARRAY(_pEvent);
}

/* ************************************************************************* */
/*    Set Note Code                                                          */
/* ************************************************************************* */

UINT MmlEvent :: SetCode(UINT uCode)
{
	UINT	uCodeOld;

	uCodeOld = _uCode;
	_uCode = uCode;
	return(uCodeOld);
}

/* ************************************************************************* */
/*    Get Note Code                                                          */
/* ************************************************************************* */

inline UINT MmlEvent :: GetCode(void)
{
	return(_uCode);
}

/* ************************************************************************* */
/*    Set DeltaTime                                                          */
/* ************************************************************************* */

DWORD MmlEvent :: SetDeltaTime(DWORD dwDeltaTime)
{
	DWORD	dwDeltaTimeOld;

	dwDeltaTimeOld = _dwDeltaTime;
	_dwDeltaTime = dwDeltaTime;
	return(dwDeltaTimeOld);
}

/* ************************************************************************* */
/*    Get DeltaTime                                                          */
/* ************************************************************************* */

inline DWORD MmlEvent :: GetDeltaTime(void)
{
	return(_dwDeltaTime);
}

/* ************************************************************************* */
/*    Set Velocity                                                           */
/* ************************************************************************* */

UINT MmlEvent :: SetVelocity(UINT uVelocity)
{
	UINT	uVelocityOld;

	uVelocityOld = _uVelocity;
	_uVelocity = uVelocity;
	return(uVelocityOld);
}

/* ************************************************************************* */
/*    Get Velocity                                                           */
/* ************************************************************************* */

inline UINT MmlEvent :: GetVelocity(void)
{
	return(_uVelocity);
}

/* ************************************************************************* */
/*    Set Parameter                                                          */
/* ************************************************************************* */

DWORD MmlEvent :: SetParam(DWORD dwParam)
{
	DWORD	dwParamOld;

	dwParamOld = _dwParam;
	_dwParam = dwParam;
	return(dwParamOld);
}

/* ************************************************************************* */
/*    Get Parameter                                                          */
/* ************************************************************************* */

inline DWORD MmlEvent :: GetParam(void)
{
	return(_dwParam);
}

/* ************************************************************************* */
/*    Set Length Code                                                        */
/* ************************************************************************* */

int MmlEvent :: SetLength(int iLength)
{
	int		iLengthOld;

	iLengthOld = _iLength;
	_iLength = iLength;
	return(iLengthOld);
}

/* ************************************************************************* */
/*    Get Length Code                                                        */
/* ************************************************************************* */

inline int MmlEvent :: GetLength(void)
{
	return(_iLength);
}

/* ************************************************************************* */
/*    Get Length Time (Static)                                               */
/* ************************************************************************* */

int MmlEvent :: GetLengthTime(int iLength)
{
	static int	iTime[] = {192,144,96,72,48,36,32,24,18,16,12,9,8,6,4,3,2,1};

	if(iLength < 0 || iLength >= MMLLEN_COUNT)
		return(0);
	return(iTime[iLength]);
}

