/* ***************************************** */
/*    Music Macro Language Event ver.1.00    */
/*                            'mmlevent.h'   */
/*                          by T.Nakayama    */
/* ***************************************** */

#ifndef _CLASS_MML_EVENT_
#define _CLASS_MML_EVENT_

#include "macro.h"

/* **************************************************** Constance Value **** */

#define MMLEVENT_COMPLETE			0x0000

#define MMLCODE_REST				0x80
#define MMLCODE_BAR					0x81
#define MMLPARAM_TAI				0x0001
#define MMLMINDIVRATIO				48
#define MMLLEN_NONE					-1
#define MMLLEN_1					0
#define MMLLEN_2P					1
#define MMLLEN_2					2
#define MMLLEN_4P					3
#define MMLLEN_4					4
#define MMLLEN_8P					5
#define MMLLEN_6					6
#define MMLLEN_8					7
#define MMLLEN_16P					8
#define MMLLEN_12					9
#define MMLLEN_16					10
#define MMLLEN_32P					11
#define MMLLEN_24					12
#define MMLLEN_32					13
#define MMLLEN_48					14
#define MMLLEN_64					15
#define MMLLEN_96					16
#define MMLLEN_192					17
#define MMLLEN_COUNT				18
#define MMLCODENUM_C				0
#define MMLCODENUM_CSHARP			1
#define MMLCODENUM_D				2
#define MMLCODENUM_DSHARP			3
#define MMLCODENUM_E				4
#define MMLCODENUM_F				5
#define MMLCODENUM_FSHARP			6
#define MMLCODENUM_G				7
#define MMLCODENUM_GSHARP			8
#define MMLCODENUM_A				9
#define MMLCODENUM_ASHARP			10
#define MMLCODENUM_B				11
#define MMLCODENUM_REST				12
#define MMLCODENUM_COUNT			13
#define MMLCODE_COUNT				12

/* ************************************************************ Define **** */

#define LENGTHTIME(x)	(MmlEvent :: GetLengthTime(x))

/* ************************************************************** Class **** */

class MmlEvent{
private:
	UINT				_uCode;
	DWORD				_dwDeltaTime;
	UINT				_uVelocity;
	DWORD				_dwParam;
	int					_iLength;

public:
						MmlEvent();
	virtual				~MmlEvent();

	virtual UINT			SetCode(UINT);
	virtual UINT			GetCode(void);
	virtual DWORD			SetDeltaTime(DWORD);
	virtual DWORD			GetDeltaTime(void);
	virtual UINT			SetVelocity(UINT);
	virtual UINT			GetVelocity(void);
	virtual DWORD			SetParam(DWORD);
	virtual DWORD			GetParam(void);
	virtual int				SetLength(int);
	virtual int				GetLength(void);

	static int				GetLengthTime(int);
};
typedef MmlEvent*	LPMmlEvent;

#endif	// _CLASS_MML_EVENT_
