/* **************************************** */
/*    Registory Interface Class ver.1.01    */
/*                             'regist.h'   */
/*                         by T.Nakayama    */
/* **************************************** */

extern "C"{
#include <windows.h>
#include <winreg.h>
}

#ifndef _CLASS_REGISTORY_INTERFACE_
#define _CLASS_REGISTORY_INTERFACE_

/* **************************************************** Constance Value **** */

#define REGISTORY_COMPLETE			0x0000
#define REGISTORY_ERROR_VALUE		0xFFFFFFFFl

/* ************************************************************** Class **** */

class Registory{
private:
	HKEY	_hKey;				//
	HKEY	_hParentKey;		//
	LPCTSTR	_lpszSubKey;		//
	LONG	_lError;			//
	DWORD	_dwDisposition;		//
	DWORD	_dwType;			//

public:
					Registory();					// Constructor
	virtual			~Registory();					// Destructor

	virtual LONG	SetAccessSubKey(HKEY, LPCTSTR);
	virtual	LPCTSTR	GetAccessSubKey(PHKEY, LPCTSTR);

	virtual LONG	GetError(void);
	virtual LONG	GetDisposition(void);
	virtual LONG	GetType(void);

	virtual LONG	OpenSubKey(void);
	virtual LONG	CreateOpenSubKey(void);
	virtual LONG	CloseSubKey(void);
	virtual LONG	IsSubKey(void);
	virtual LONG	CreateSubKey(void);
	virtual LONG	DeleteSubKey(void);

	virtual LONG	SetDword(LPCTSTR, DWORD);
	virtual DWORD	GetDword(LPCTSTR);
	virtual DWORD	GetDwordValue(LPCTSTR, DWORD);

	virtual LONG	SetString(LPCTSTR, LPCTSTR);
	virtual DWORD	GetString(LPCTSTR, LPBYTE, DWORD);
	virtual DWORD	GetStringValue(LPCTSTR, LPBYTE, DWORD, LPCTSTR);
};
typedef Registory*		LPRegistory;

#endif // _CLASS_REGISTORY_INTERFACE_

