/* ******************************************************************* */
/*    MIDI to EDPLAY Converter Application Resource Header ver.1.01    */
/*                                                      'resource.h'   */
/*                                                    by T.Nakayama    */
/* ******************************************************************* */

#ifndef _MIDI2EDPLAY_APPLICATION_RESOURCE_
#define _MIDI2EDPLAY_APPLICAITON_RESOURCE_

#include <windows.h>

/* ******************************************************** Application **** */

#define APPLI_NOT_EXECUTE_SAME_CLASS
#define APPLI_USE_ORIGINAL_ICON
#define APPLI_USE_HELP
// #define APPLI_USE_REGISTORY
// #define APPLI_DIALOGBASE_USE_CLASSNAME

#define APPLI_CLASS_NAME		"MIDItoEDPLAYClass"
#define APPLI_WINDOW_NAME		"MIDI to EDPLAY"
#define APPLI_MENU_NAME			"MID2EDMenu"

#define APPLI_FILENAME			"MID2ED.EXE"
#define APPLI_HELP_FILENAME		"MID2ED.HLP"

#define APPLI_WINDOW_BRUSH		(HBRUSH)(COLOR_BTNFACE+1)

/* *************************************************************** Menu **** */

#define IDM_MENU				100

#define IDM_OPEN				101
#define IDM_CONVERT				102
#define IDM_SAVE				103

#define IDM_CUT					111
#define IDM_COPY				112
#define IDM_PASTE				113

#define IDM_ADD					121
#define IDM_REMOVE				122

#define IDM_DELREGISTORY		181
#define IDM_OPTION				182

#define IDM_HELP				191
#define IDM_ABOUT				192

#define IDM_EXIT				199

/* *************************************************************  Icon  **** */

#define IDI_APPLI				501

/* *******************************************************  Dialog Box  **** */

#define IDC_STATIC				-1

#define IDD_MAIN				3000
#define IDC_FILENAME			3007
#define IDC_FORMAT				3008
#define IDC_TIMEBASE			3009
#define IDC_MIDICHANNEL			3010
#define IDC_EDPLAYCHANNEL		3011
#define IDC_RESOLUTION			3012
#define IDC_DIVISION			3013
#define IDC_LINENUMBER			3014
#define IDC_PLAYTYPE			3015
#define IDC_MIDICHLIST			3016
#define IDC_PLAYCHLIST			3017
#define IDC_SOURCE				3018

#define IDCS_EDPLAYCHANNEL		3031
#define IDCS_DIVISION			3032
#define IDCS_LINENUMBER			3033

#define IDD_ABOUT				3100
#define IDC_PRODUCT				3101
#define IDC_COPYRIGHT			3102
#define IDC_URL					3103

#define IDR_MIDILIST_COLUMN		3201
#define IDR_PLAYLIST_COLUMN		3202

/* ***********************************************************  String  **** */

#define IDS_CLASS				1000
#define IDS_WINDOW				1001
#define IDS_MENU				1002
#define IDS_FILENAME			1003
#define IDS_HELP_FILENAME		1004
#define IDS_URL					1005

#define IDS_ABOUT_PRE_WORD		1010
#define IDS_ABOUT_POST_WORD		1011
#define IDS_DELETE_REGISTORY	1012

#define RESOLUTION_COUNT		18
#define IDS_RESOLUTION00		1100
#define IDS_RESOLUTION01		1101
#define IDS_RESOLUTION02		1102
#define IDS_RESOLUTION03		1103
#define IDS_RESOLUTION04		1104
#define IDS_RESOLUTION05		1105
#define IDS_RESOLUTION06		1106
#define IDS_RESOLUTION07		1107
#define IDS_RESOLUTION08		1108
#define IDS_RESOLUTION09		1109
#define IDS_RESOLUTION10		1110
#define IDS_RESOLUTION11		1111
#define IDS_RESOLUTION12		1112
#define IDS_RESOLUTION13		1113
#define IDS_RESOLUTION14		1114
#define IDS_RESOLUTION15		1115
#define IDS_RESOLUTION16		1116
#define IDS_RESOLUTION17		1117

#define PLAYTYPE_COUNT		3
#define IDS_PLAYTYPE00			1120
#define IDS_PLAYTYPE01			1121
#define IDS_PLAYTYPE02			1122

#define IDS_MIDILIST_NUMBER		1200
#define IDS_MIDILIST_TRACK		1201
#define IDS_MIDILIST_CHANNEL	1202
#define IDS_MIDILIST_STEP		1203

#define IDS_PLAYLIST_PART		1210
#define IDS_PLAYLIST_NUMBER		1211
#define IDS_PLAYLIST_TRACK		1212
#define IDS_PLAYLIST_CHANNEL	1213
#define IDS_PLAYLIST_STEP		1214

#define IDS_OFNFILTER_MID		1221
#define IDS_OFNDEFEXT_MID		1222
#define IDS_OFNFILTER_TXT		1223
#define IDS_OFNDEFEXT_TXT		1224
#define IDS_FILEEXIST			1225

#define IDS_NOT_MIDIFILE		1231
#define IDS_TIMEBASE_ERROR		1232
#define IDS_ILLEGAL_FORMAT		1233
#define IDS_ILLEGAL_PART		1234
#define IDS_ILLEGAL_DIVISION	1235
#define IDS_ILLEGAL_LINE		1236
#define IDS_EMPTY_TEXT			1237

/* ********************************************************** Registory **** */

// "APPLI_USE_REGISTORY"`ȂĂRegistoryɊւ`͋LqĂ

#define REGISTORY_ITEM			5
#define IDS_REG_SUBKEY			2000
#define IDS_REG_WINDOW_X		2001
#define IDS_REG_WINDOW_Y		2002
#define IDS_REG_WINDOW_W		2003
#define IDS_REG_WINDOW_H		2004

#define REG_SUBKEY				(IDS_REG_SUBKEY-IDS_REG_SUBKEY)		// 0
#define REG_WINDOW_X			(IDS_REG_WINDOW_X-IDS_REG_SUBKEY)	// 1
#define REG_WINDOW_Y			(IDS_REG_WINDOW_Y-IDS_REG_SUBKEY)	// 2
#define REG_WINDOW_W			(IDS_REG_WINDOW_W-IDS_REG_SUBKEY)	// 3
#define REG_WINDOW_H			(IDS_REG_WINDOW_H-IDS_REG_SUBKEY)	// 4

#define REG_DEF_WINDOW_X		CW_USEDEFAULT
#define REG_DEF_WINDOW_Y		CW_USEDEFAULT
#define REG_DEF_WINDOW_W		CW_USEDEFAULT
#define REG_DEF_WINDOW_H		CW_USEDEFAULT

#endif // _MIDI2EDPLAY_APPLICATION_RESOURCE_
