/* *********************************************************** */
/*    Standard MIDI format Block Information Class ver.1.00    */
/*                                              'smfblock.h'   */
/*                                            by T.Nakayama    */
/* *********************************************************** */

#ifndef _CLASS_SMFBLOCK_
#define _CLASS_SMFBLOCK_

#include "macro.h"
#include "endian.h"

/* **************************************************** Constance Value **** */

#define SMFBLOCK_COMPLETE				0x0000
#define SMFBLOCK_HEADERBLOCK			0x0001
#define SMFBLOCK_TRACKBLOCK				0x0002
#define SMFBLOCK_NOTSMF					0x0004

#define CHUNK_HEADER					"MThd"
#define CHUNK_TRACK						"MTrk"

/* *************************************************** Define structure **** */

#pragma pack(2)
typedef struct SMFBLOCK_tag{
	char	chunk[4];
	DWORD	length;
} SMFBLOCK;
typedef SMFBLOCK*	LPSMFBLOCK;

typedef struct SMFHEADER_tag{
	SMFBLOCK	block;
	WORD		format;
	WORD		ntrks;
	WORD		division;
} SMFHEADER;
typedef SMFHEADER*	LPSMFHEADER;
#pragma pack()

/* ************************************************************** Class **** */

class SmfBlock{
private:

protected:
	int					_iType;
	Endian < DWORD >	_dwLength;

public:
						SmfBlock();
	virtual				~SmfBlock();

	virtual int			CheckHeader(LPBYTE);
	virtual int			ReadHeader(LPBYTE);
	virtual DWORD		GetHeaderSize(void);
	virtual int			GetBlockType(void);
	virtual DWORD		GetBlockSize(void);
};
typedef SmfBlock*	LPSmfBlock;

#endif	// _CLASS_SMFBLOCK_
