/* ********************************************** */
/*    Standard MIDI Format Data Class ver.1.00    */
/*                                   smfdata.h'   */
/*                               by T.Nakayama    */
/* ********************************************** */

#ifndef _CLASS_SMF_DATA_
#define _CLASS_SMF_DATA_

#include <vector>
using namespace std;

#include "macro.h"
#include "smfhead.h"
#include "smftrack.h"

/* **************************************************** Constance Value **** */

#define SMFDATA_COMPLETE			0x0000

/* ************************************************************** Class **** */

class SmfData{
private:
	SmfHeader				_SmfHeader;
	vector < LPSmfTrack >	_pSmfTrack;

public:
							SmfData();
	virtual					~SmfData();

	virtual int				IsSmfData(LPBYTE, DWORD);
	virtual int				ReadData(LPBYTE, DWORD);
	virtual int				GetTrackCount(void);
	virtual int				GetFormat(void);
	virtual int				GetDivision(void);
	virtual LPSmfTrack		GetSmfTrack(int);
};
typedef SmfData*	LPSmfData;

#endif	// _CLASS_SMF_DATA_
