/* *********************************************** */
/*    Standard MIDI Format Event Class ver.1.00    */
/*                                  'smfevent.h'   */
/*                                by T.Nakayama    */
/* *********************************************** */

#ifndef _CLASS_SMF_EVENT_
#define _CLASS_SMF_EVENT_

#include "macro.h"
#include "varlen.h"

/* **************************************************** Constance Value **** */

#define SMFEVENT_COMPLETE			0x0000

#define DEFAULT_TEMPO				500000	// Tempo = 120

#define META_TEMPO					0x51

#define MTRK_EVENT_MIDI				0x00
#define MTRK_EVENT_NOTEOFF			0x80
#define MTRK_EVENT_NOTEON			0x90
#define MTRK_EVENT_POLYTOUCH		0xA0
#define MTRK_EVENT_CTRLCHANGE		0xB0
#define MTRK_EVENT_PROGCHANGE		0xC0
#define MTRK_EVENT_CHANNELTOUCH		0xD0
#define MTRK_EVENT_PITCHRANGE		0xE0
#define MTRK_EVENT_SYSEX0			0xF0
#define MTRK_EVENT_SYSEX7			0xF7
#define MTRK_EVENT_META				0xFF
#define MTRK_EVENT_RUNNINGSTATUS	0x80

/* ************************************************************** Class **** */

class SmfEvent{
private:
	VarLen				_deltatime;
	DWORD				_dwEventLength;
	LPBYTE				_pEvent;
	DWORD				_dwTime;
	DWORD				_dwParam;

public:
						SmfEvent();
	virtual				~SmfEvent();

	virtual DWORD			ReadData(LPBYTE pData);
	virtual DWORD			CheckEventLength(LPBYTE pData);
	virtual DWORD			GetEventLength(void);
	virtual const LPBYTE	GetEventData(void);
	virtual DWORD			SetDeltaTime(DWORD);
	virtual DWORD			GetDeltaTime(void);
	virtual DWORD			SetTime(DWORD);
	virtual DWORD			GetTime(void);

};
typedef SmfEvent*	LPSmfEvent;

#endif	// _CLASS_SMF_EVENT_
