/* ****************************************************************** */
/*    Standard MIDI format Header Block Information Class ver.1.00    */
/*                                                    'smfhead.cpp'   */
/*                                                   by T.Nakayama    */
/* ****************************************************************** */

#include "smfhead.h"

/* ************************************************************************* */
/*    Constructor                                                            */
/* ************************************************************************* */

SmfHeader :: SmfHeader()
{
}

/* ************************************************************************* */
/*    Destructor                                                             */
/* ************************************************************************* */

SmfHeader :: ~SmfHeader()
{
}

/* ************************************************************************* */
/*    Read Header                                                            */
/* ************************************************************************* */

int SmfHeader :: ReadHeader(LPBYTE pData)
{
	LPSMFHEADER		pBlock;

	pBlock = (LPSMFHEADER)pData;
	_iType = CheckHeader(pData);
	switch(_iType){
		case SMFBLOCK_HEADERBLOCK:
			_wFormat.SetMSB(pBlock->format);
			_wTrackCount.SetMSB(pBlock->ntrks);
			_wDivision.SetMSB(pBlock->division);

		case SMFBLOCK_TRACKBLOCK:
			_dwLength.SetMSB(pBlock->block.length);
			break;

		case SMFBLOCK_NOTSMF:
			_dwLength.SetLSB(0);
	}
	return(GetBlockType());
}

/* ************************************************************************* */
/*    Get Format                                                             */
/* ************************************************************************* */

inline WORD SmfHeader :: GetFormat(void)
{
	return(_wFormat.GetLSB());
}

/* ************************************************************************* */
/*    Get Track Count                                                        */
/* ************************************************************************* */

inline WORD SmfHeader :: GetTrackCount(void)
{
	return(_wTrackCount.GetLSB());
}

/* ************************************************************************* */
/*    Get Division                                                           */
/* ************************************************************************* */

inline WORD SmfHeader :: GetDivision(void)
{
	return(_wDivision.GetLSB());
}

