/* ***************************************************** */
/*    Standard MIDI Format Track Block Class ver.1.00    */
/*                                        'smftrack.h'   */
/*                                      by T.Nakayama    */
/* ***************************************************** */

#ifndef _CLASS_SMF_TRACKBLOCK_
#define _CLASS_SMF_TRACKBLOCK_

#include <list>
using namespace std;

#include "macro.h"
#include "smfblock.h"
#include "smfevent.h"

/* **************************************************** Constance Value **** */

#define SMFTRACK_COMPLETE				0x0000
#define SMFTRACK_NOTTRACKBLOCK			0x0001

#define ITERATOR_BEGIN					0x0000
#define ITERATOR_END					0x0001

/* ************************************************************** Class **** */

class SmfTrack{
private:
	list < LPSmfEvent >				_pSmfEvent;
	SmfBlock						_SmfHeader;
	DWORD							_dwTrackTime;

public:
						SmfTrack();
	virtual				~SmfTrack();

	virtual DWORD		ReadData(LPBYTE pData);
	virtual DWORD		AssignTime(void);
	virtual int			GetEventCount(void);
	virtual list < LPSmfEvent > :: iterator	GetSmfEvent(DWORD);

};
typedef SmfTrack*	LPSmfTrack;

#endif	// _CLASS_SMF_TRACKBLOCK_
