/* ***************************************************** */
/*    Convert Variable-Length Quantity Class ver.1.00    */
/*                                        'verlen.cpp'   */
/*                                      by T.Nakayama    */
/* ***************************************************** */

#include "varlen.h"

/* ************************************************************************* */
/*    Constructor                                                            */
/* ************************************************************************* */

VarLen :: VarLen()
 :	_dwValue(0), _dwLength(0)
{
}

/* ************************************************************************* */
/*    Destructor                                                             */
/* ************************************************************************* */

VarLen :: ~VarLen()
{
}

/* ************************************************************************* */
/*    Get Length                                                             */
/* ************************************************************************* */

inline DWORD VarLen :: GetLength(void)
{
	return(_dwLength);
}

/* ************************************************************************* */
/*    Get Value                                                              */
/* ************************************************************************* */

inline DWORD VarLen :: GetValue(void)
{
	return(_dwValue);
}

/* ************************************************************************* */
/*    Set Value                                                              */
/* ************************************************************************* */

inline DWORD VarLen :: SetValue(DWORD dwValue)
{
	return(_dwLength = WriteVarLen(_dwValue = dwValue));
}

/* ************************************************************************* */
/*    Read Variable Length Quantity                                          */
/* ************************************************************************* */

DWORD VarLen :: ReadVarLen(LPBYTE ptr)
{
	BYTE	c;
	DWORD	dwValue, dwLength = 0;

	dwValue = (BYTE)*ptr;
	ptr++, dwLength++;
	if(dwValue & 0x80){
		dwValue &= 0x7f;
		do{
			dwValue = (dwValue << 7) + ((c = *ptr) & 0x7f);
			ptr++, dwLength++;
		}while(c & 0x80);
	}
	_dwValue = dwValue, _dwLength = dwLength;
	return(dwValue);
}

/* ************************************************************************* */
/*    Write Variable Length Quantity                                         */
/* ************************************************************************* */

DWORD VarLen :: WriteVarLen(DWORD dwValue, LPBYTE ptr)
{
	DWORD	dwBuffer, dwLength = 1;

	dwBuffer = dwValue & 0x7f;
	while((dwValue >>= 7) > 0){
		dwBuffer <<= 8;
		dwBuffer |= 0x80;
		dwBuffer += (dwValue & 0x7f);
		dwLength++;
	}
	if(ptr){
		for(;;){
			*ptr++ = (BYTE)(dwBuffer & 0xff);
			if(dwBuffer & 0x80)
				dwBuffer >>= 8;
			else
				break;
		}
	}
	return(dwLength);
}

