/* **************************************** */
/*    Windows Application Class ver.1.40    */
/*                             'winapp.h'   */
/*                         by T.Nakayama    */
/* **************************************** */

#ifndef	_CLASS_WINDOWS_APPLICATION_
#define _CLASS_WINDOWS_APPLICATION_

#include "resource.h"
#include "baseapp.h"
#include "winproc.h"
#include "keyaccel.h"
#include "appres.h"
#include "appli.h"
#include "appreg.h"

/* **************************************************** Constance Value **** */

#define WINAPPLI_COMPLETE				BASEAPPLI_COMPLETE
#define WINAPPLI_ERROR_REGIST_CLASS		0x0001
#define WINAPPLI_ERROR_CREATE_WINDOW	0x0002
#define WINAPPLI_FOUND_SAME_CLASS		0x8000

/* ************************************************************** Class **** */

class WinAppli : public BaseAppli{
private:

protected:
	LPAppRes				_pAppRes;
	LPKeyAccel				_pKeyAccel;
	LPAppli					_pAppli;
	LPAppReg				_pAppReg;

public:
							WinAppli();					// Constructor
	virtual					~WinAppli();				// Destructor

	virtual LPAppRes		SetAppResClass(LPAppRes);
	virtual LPAppRes		GetAppResClass(void);

	virtual LPKeyAccel		SetKeyAccelClass(LPKeyAccel);
	virtual LPKeyAccel		GetKeyAccelClass(void);

	virtual LPAppli			SetAppliClass(LPAppli);
	virtual LPAppli			GetAppliClass(void);

	virtual LPAppReg		SetAppRegClass(LPAppReg);
	virtual LPAppReg		GetAppRegClass(void);

	virtual int				Initialize(HINSTANCE, KeyAccel*);

	virtual ATOM			InitApplication(AppRes*);
	virtual HWND			InitInstance(int iCmdShow,
								LPVOID pVoid = NULL,
								HWND hParentWnd = HWND_DESKTOP);
	virtual MSG				MessageLoop(void);
	virtual HWND			CreateWindow_(int iCmdShow,
								LPARAM lParam = 0, LPVOID pVoid = NULL,
								BOOL bQuitMsg = TRUE,
								HWND hParentWnd = HWND_DESKTOP);
	virtual BOOL			DestroyWindow(HWND);
	virtual int				DestroyAllWindows(void);

protected:
	virtual LPAppRes		CreateAppRes(HINSTANCE);
	virtual LPWinProc		CreateProcedure(AppRes*, KeyAccel*);
	virtual HWND			SearchSameClass(LPCTSTR);

	static LRESULT CALLBACK	Procedure(HWND, UINT, WPARAM, LPARAM);
};
typedef WinAppli*	LPWinAppli;

#endif	// _CLASS_WINDOWS_APPLICATION_
