/* ************************************** */
/*    Windows Procedure Class ver.1.33    */
/*                          'winproc.h'   */
/*                       by T.Nakayama    */
/* ************************************** */

#ifndef	_CLASS_WINDOW_PROCEDURE_
#define _CLASS_WINDOW_PROCEDURE_

#include "resource.h"
#include "baseproc.h"
#include "appres.h"
#include "keyaccel.h"
#include "appli.h"
#include "appreg.h"
#include "aboutapp.h"

/* **************************************************** Constance Value **** */

#define WINPROC_COMPLETE			BASEPROC_COMPLETE
#define WINPROC_TRUE				0x0000
#define WINPROC_FALSE				0x0001
#define WINPROC_YES					0x0000
#define WINPROC_NO					0x0001
#define WINPROC_CANCEL				0x0002

#ifndef	MENUITEM_MAX
#define MENUITEM_MAX				100
#endif

/* ********************************************************** Structure **** */

#ifndef	_STRUCT_MENUPAIRS_
#define _STRUCT_MENUPAIRS_
typedef struct
{
	HMENU	hMenuItem;
	UINT	uID;
} MENUPAIRS;
typedef MENUPAIRS*	LPMENUPAIRS;
#endif // _STRUCT_MENUPAIRS_

/* ************************************************************** Class **** */

class WinProc : public BaseProc{
private:

protected:
	LPAppRes				_pAppRes;
	LPKeyAccel				_pKeyAccel;
	LPAppli					_pAppli;
	LPAppReg				_pAppReg;
	HACCEL					_hAccel;
	BOOL					_bDelReg;
	LPTSTR					_pszHelpPath;
	LPCREATESTRUCT			_pCreate;

public:
							WinProc();					// Constructor
	virtual					~WinProc();					// Destructor

	virtual LPAppRes		SetAppResClass(LPAppRes);
	virtual LPAppRes		GetAppResClass(void);

	virtual LPKeyAccel		SetKeyAccelClass(LPKeyAccel);
	virtual LPKeyAccel		GetKeyAccelClass(void);

	virtual LPAppli			SetAppliClass(LPAppli);
	virtual LPAppli			GetAppliClass(void);

	virtual LPAppReg		SetAppRegClass(LPAppReg);
	virtual LPAppReg		GetAppRegClass(void);

	virtual int				Initialize(LPAppRes, LPKeyAccel);

	virtual int				CreateHelpPath(void);
	virtual int				SetHelpPath(LPCTSTR);
	virtual LPCTSTR			GetHelpPath(void);
	virtual LPCTSTR			FreeHelpPath(void);

	virtual int				GetProgramDirectory(LPTSTR, int);

	virtual int				LoadWindowPosition(HWND, LPAppReg);
	virtual int				SaveWindowPosition(HWND, LPAppReg);

	virtual LPCREATESTRUCT	SetCreateStruct(HWND, WPARAM, LPARAM);
	virtual HWND			ActiveKeyAccelerator(HWND, LPKeyAccel, HACCEL);

	virtual LPMENUPAIRS		CreateMenuHelpPairs(int);
	virtual LPMENUPAIRS		DeleteMenuHelpPairs(LPMENUPAIRS);

	virtual int				CmdDelRegistory(HWND, WPARAM, LPARAM);
	virtual int				CmdAbout(HWND, WPARAM, LPARAM);
	virtual int				Command(HWND, WPARAM, LPARAM);
	virtual int				Activate(HWND, WPARAM, LPARAM);
	virtual int				InitMenu(HWND, WPARAM, LPARAM);
	virtual int				Size(HWND, WPARAM, LPARAM);
	virtual int				Create(HWND, WPARAM, LPARAM);
	virtual int				CreateAppendix(HWND, WPARAM, LPARAM);
	virtual int				Destroy(HWND, WPARAM, LPARAM);
	virtual int				DestroyAppendix(HWND, WPARAM, LPARAM);
	virtual int				Close(HWND, WPARAM, LPARAM);
	virtual LRESULT			Procedure(HWND, UINT, WPARAM, LPARAM);
};
typedef WinProc*		LPWinProc;

#endif	// _CLASS_WINDOW_PROCEDURE_
