/* ********************************* */
/*    Windows Base Class ver.1.00    */
/*                    'winsbase.h'   */
/*                  by T.Nakayama    */
/* ********************************* */

#ifndef	_CLASS_WINDOWS_BASE_
#define _CLASS_WINDOWS_BASE_

#include "macro.h"

/* **************************************************** Constance Value **** */

#define WINDOWSBASE_COMPLETE			0x0000

/* ************************************************************** Class **** */

class WindowsBase{
private:

protected:
	HWND				_hWnd;							// Window Handle
	HWND				_hParentWnd;					// Parent Window Handle
	HINSTANCE			_hInst;							// Instance Handle
	LPTSTR				_pszWClassName;
	LPTSTR				_pszWindowName;

public:
						WindowsBase();					// Constructor
	virtual				~WindowsBase();					// Destructor

	virtual HWND		SetWindowHandle(HWND);			// Set Window Handle
	virtual HWND		GetWindowHandle(void);			// Get Window Handle

	virtual HWND		SetParentWindowHandle(HWND);	// Set Parent hWnd
	virtual HWND		GetParentWindowHandle(void);	// Get Parent hWnd

	virtual HINSTANCE 	SetInstance(HINSTANCE);			// Set Instance
	virtual HINSTANCE	GetInstance(void);				// Get Instance

	virtual int			SetClassName(LPCTSTR);			// Set Class Name
	virtual LPCTSTR		GetClassName(void);				// Get Class Name
	virtual LPCTSTR		FreeClassName(void);			// Free Class Name

	virtual int			SetWindowName(LPCTSTR);			// Set Window Name
	virtual LPCTSTR		GetWindowName(void);			// Get Window Name
	virtual LPCTSTR		FreeWindowName(void);			// Free Window Name
};
typedef WindowsBase*	LPWindowsBase;

#endif	// _CLASS_WINDOWS_BASE_
